Can't get run RSSOWL on FC4 - exception

Help
2006-03-06
2012-08-29
  • Nobody/Anonymous

    Hi,

    I have FC4, java 1.5.0.6, latest RSSOWL installed. When I'm trying to run RSSOWL, I get such messages:

    [max@crazyhouse rssowl]$ java -jar rssowl.jar
    Exception in thread "main" java.lang.UnsatisfiedLinkError: no swt-pi-gtk-3212 in java.library.path
    at java.lang.ClassLoader.loadLibrary(ClassLoader.java:1682)
    at java.lang.Runtime.loadLibrary0(Runtime.java:822)
    at java.lang.System.loadLibrary(System.java:992)
    at org.eclipse.swt.internal.Library.loadLibrary(Library.java:123)
    at org.eclipse.swt.internal.gtk.OS.<clinit>(OS.java:19)
    at org.eclipse.swt.internal.Converter.wcsToMbcs(Converter.java:63)
    at org.eclipse.swt.internal.Converter.wcsToMbcs(Converter.java:54)
    at org.eclipse.swt.widgets.Display.<clinit>(Display.java:125)
    at net.sourceforge.rssowl.controller.RSSOwlLoader.<init>(Unknown Source) at net.sourceforge.rssowl.controller.RSSOwlLoader.main(Unknown Source)

    Can anybody help me?
    Thanx, Max.

     
    • Anonymous

      Anonymous - 2006-03-06

      You need to run:

      java -Djava.library.path=. -jar rssowl.jar

      so that Java can properly lookup the native libraries.

      Ben

       

Log in to post a comment.